import { IDesignDocManifestMap } from '../Design/Interfaces';
import { ICouchDocument, IDocumentViewParams, ViewResultResponse } from '../Interfaces/CouchTypes';
export declare class MockDesign {
    private readonly name;
    private readonly views;
    private constructor();
    insert(doc: ICouchDocument): void;
    update(doc: ICouchDocument): void;
    delete(id: string): void;
    view(viewName: string, options?: IDocumentViewParams): ViewResultResponse;
    static Generate(manifest: IDesignDocManifestMap): Map<string, MockDesign>;
}
