export interface IAggregateChildMapping {
    type: string;
    key: string;
    rootForeignKey?: string;
}
export interface IAggregateView {
    rootType: string;
    rootForeignKey: string;
    name: string;
    childMappings: IAggregateChildMapping[];
}
export declare class AggregateView {
    protected constructor(aggregateView?: IAggregateView);
    readonly rootType: string;
    readonly rootForeignKey: string;
    readonly name: string;
    readonly childMappings: IAggregateChildMapping[];
}
export declare class AggregateViewFactory extends AggregateView {
    private constructor();
    static Create(config: IAggregateView): AggregateView;
    private static ConfigIsValid;
}
