import { BulkDeleteList, BulkDeleteResponseList, BulkUpdateResponseList, IBulkToolProvider, IDocId } from '../BulkTool';
import { ICouchDocument, IFetchResponse, IFindResults, IMangoSelector, ICouchProvider } from '../Interfaces';
export declare class MockBulkToolProvider implements IBulkToolProvider {
    protected readonly provider: ICouchProvider;
    constructor(provider: ICouchProvider);
    bulkUpdate(docs: ICouchDocument[]): Promise<BulkUpdateResponseList>;
    bulkDelete(docs: BulkDeleteList): Promise<BulkDeleteResponseList>;
    getIdList(selector: IMangoSelector): Promise<IFindResults>;
    getDocGroup(docs: IDocId[]): Promise<IFetchResponse>;
}
