import { AggregateView } from './AggregateView';
export declare abstract class ViewEngine {
}
export declare class AggregateViewEngine extends ViewEngine {
    protected readonly db: any;
    protected readonly designDocument: string;
    protected readonly aggregateMap: Map<string, AggregateView>;
    constructor(db: any, designDocument: string, aggregateViews: AggregateView[]);
    getAggregateById(name: string, id: string): Promise<any>;
    getAggregatesInList(name: string, ids: string[]): Promise<any>;
    protected parseAggregateResponse(config: AggregateView, response: any): any;
    protected parseAggregateResponseList(config: AggregateView, responses: any): any;
}
